Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.objects
Class EnterpriseObjectHistory

    java.lang.Object
      com.stc.eindex.objects.EnterpriseObjectHistory

All Implemented Interfaces:
  java.io.Serializable

public class EnterpriseObjectHistory
extends java.lang.Object
implements java.io.Serializable

The EnterpriseObjectHistory class represents the enterprise objects (class EnterpriseObject) involved in a specific transaction. This class provides access to before and after images of an enterprise object for each transaction.

See Also:
  Serialized Form

Constructor Summary
`EnterpriseObjectHistory(RecreateResult recreateResult)` Creates a new instance of the EnterpriseObjectHistory class.

Method Summary
`EnterpriseObject` | `getAfterEO()` Retrieves the first "after" enterprise object in a transaction history record.
`EnterpriseObject` | `getAfterEO2()` Retrieves the second "after" enterprise object in an unmerge transaction history record.
`EnterpriseObject` | `getBeforeEO1()` Retrieves the first "before" enterprise object in a transaction history record.
`EnterpriseObject` | `getBeforeEO2()` Retrieves the second "before" enterprise object in a merge transaction history record.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseObjectHistory

    public EnterpriseObjectHistory(RecreateResult recreateResult)

  Creates a new instance of the EnterpriseObjectHistory class.

  Parameters:
    `recreateResult` - An object containing the before and after images of a transaction.

Method Detail

### getAfterEO

    public EnterpriseObject getAfterEO()

  Retrieves the first "after" enterprise object in a transaction history record. This is the enterprise object that resulted from the transaction. For most transactions, there is only one after enterprise object; for unmerge transactions there are two.

  Parameters:
    None.

  Returns:
    `EnterpriseObject` - An enterprise object.
  Throws:
    None.

### getAfterEO2

    public EnterpriseObject getAfterEO2()

  Retrieves the second "after" enterprise object in an unmerge transaction history record. This is the non-surviving enterprise object that was reactivated during the unmerge transaction.

  Parameters:
    None.

  Returns:
    `EnterpriseObject` - An enterprise object.
  Throws:
    None.

### getBeforeEO1

    public EnterpriseObject getBeforeEO1()

  Retrieves the first "before" enterprise object in a transaction history record. This is the enterprise object as it appeared prior to the transaction. For most transactions, there is only one before enterprise object; for merge transactions there are two.

  Parameters:
    None.

  Returns:
    `EnterpriseObject` - An enterprise object.
  Throws:
    None.

### getBeforeEO2

    public EnterpriseObject getBeforeEO2()

  Retrieves the second "before" enterprise object in a merge transaction history record. This is the second enterprise object as it appeared prior to the merge transaction.

  Parameters:
    None.

  Returns:
    `EnterpriseObject` - An enterprise object.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.